%define version	0.3.0
%define release	0.svn218.1mdk

%define scim_version	1.2.1
%define anthy_version	6508

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		honoka
Summary:	Honoka is an SCIM IMEngine module for wnn and anthy
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://sourceforge.jp/projects/scim-imengine/
Source0:		%{name}-%{version}.tar.bz2
Patch0:		honoka_change_default_romaji_tables.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			%{libname} = %{version}-%{release}
Requires:			anthy >= %{anthy_version}
Requires:			scim >= %{scim_version}
BuildRequires:		anthy-devel >= %{anthy_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake1.8, libltdl-devel

%description
Honoka is an SCIM IMEngine module for wnn and anthy.
But I disabled wnn support. Because Wnn is a proprietary engine.
Honoka supports Japanese input.


%package -n 	%{libname}
Summary:	Scim-honoka library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-honoka library.


%prep
%setup -q -n %name
%patch0 -p0
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x
# (tv) parallel build is broken:
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.{a,la}

# remove devel files
rm -f %{buildroot}/%{_includedir}/honoka/*.h
rm -f %{buildroot}/%{_libdir}/*.{a,la,so}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/honoka/*.rkt
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so*
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so
%{_libdir}/scim-1.0/honoka/*.so


%changelog
* Mon May 09 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-0.svn218.1mdk
- latest snapshot
- add patch0 (change default romaji tables)
- remove "--disable-wnn" by author's request
  (Wnn will be detected automatically) 

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-0.svn213.1mdk
- fix build (parallel build is broken)
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o latest snapshot
  o add patch0 (change default romaji tables)

* Fri Apr 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-0.svn198.1mdk
- first spec for Mandriva Linux
